Loading...
墨滴

张春成

2021/09/04  阅读:37  主题:默认主题

My Old Games

My Old Games

Some good games to play, it is how to play them with your modern buildings.


Diablo II

A CONFLICT AS OLD AS TIME ITSELF.

NOT EVEN DEATH CAN SAVE YOU FROM ME.

Installation

You can simply download it and its extension from the blizzard's website

  • Raw[1]

  • Extension[2]

High Resolution

You may want it to be better to look at.

The d2dx[3] project is developed to fix the issue.

However, if you have downloaded it from the blizzard's website. You will immediately got the error of

Diablo II is unable to proceed. Unsupported graphics mode

For some reason, the author know the issue but he seems unwilling to publish it, since it writes

You are running the download version of Diablo II from blizzard.com. This can be modified to work with D2DX (Wiki page about this to come).

So I dig deeper, and discovery something. The high resolution solution uses an OpenGL Wrapper[4], named as GLIDE3. So, I re-download the proper wrapper from the website, and re-configure the wrapper with the project of glide-init.exe. And, it works.

Easy to Use

This part aims the Inner Issues for the Diablo Gamers.

The basic requirement of the Game lies following:

  1. Install Big and Shared Inventory System;
  2. Add Ladder Contents and Equipments Support;
  3. Allow Re-assigning the Abilities Points of the Characters.

The PlugY[5] package is developed to solve the issues.

参考资料

[1]

Raw: https://www.blizzard.com/en-us/download/confirmation?platform=windows&locale=en_US&version=LIVE&id=d2

[2]

Extension: https://www.blizzard.com/en-us/download/confirmation?platform=windows&locale=en_US&product=d2lod

[3]

d2dx: https://git.ldqk.org/bolrog/d2dx

[4]

OpenGL Wrapper: http://www.svenswrapper.de/english/

[5]

PlugY: https://diablo-archive.fandom.com/wiki/PlugY

张春成

2021/09/04  阅读:37  主题:默认主题

作者介绍

张春成